import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertSame;

import org.junit.jupiter.api.Test;

public class IfWffTest {

    @Test
    public void testIfWff() {
        PropVar p = new PropVar("P");
        PropVar q = new PropVar("Q");
        IfWff ifWff = new IfWff(p, q);
        assertSame(p, ifWff.getLeft());
        assertSame(q, ifWff.getRight());
        assertSame(Operator.IF, ifWff.getOp());
        assertEquals("(P -> Q)", ifWff.toString());
    }

}
